Join Us and become a Member for a Verified Badge to access private areas with the latest PS4 / PS5 PKGs.
PS4 Jailbreaking       Thread starter PSXHAX       Start date Mar 11, 2020 at 12:10 AM       156      
Status
Not open for further replies.
Following his PS4 6.20 Userland Exploit PoC and the recent OpenOrbis DevKit PS4 Library Ports PlayStation 4 scene developer @SpecterDev announced today via Twitter that the homebrew PS4 Toolchain currently supports audio / video output, freetype and full libc without using any $ony materials complete with a demonstration video below! :fire:

Also below, since sharing his PS4 Kernel Bug Findings scene developer theflow0 (who has a PayPal and Patreon page set up) is currently seeking a 6.20FW PS4 if someone is willing to donate one towards his continued PlayStation 4 research and development. :lovewins:

:alert: He notes the following, to quote: "Also don't update past FW 6.20 if you want a kxploit."

Next up, proceeding his Lapy Games Collection PS4 PKG homebrew game developer @Lapy shared a work-in-progress image on Twitter of his latest River Raid PKG project. (y)

Finally, BGR.com reports that despite the Coronavirus (COVID-19) outbreak PlayStation 5 won't be delayed according to AMD Executive Vice President of Computing and Graphics Rick Bergman at AMD's Financial Analyst Day presentation.

As seen in the slide below, the next-generation PS5 (and XBox Series X) are still on track for a Holiday 2020 launch at this time. šŸ˜ƒ
PS4 Toolchain Homebrew Payload Loader by SpecterDev Demo & More! 2.jpg


Spoiler: Related Tweets

PS4 Toolchain Homebrew Payload Loader by SpecterDev Demo & More!.jpg
 

Comments

@AlphaStorm100
The flow announced he had a exploit for the PS4 and most all was assuming he would release the exploit to the scene soon. Like @PR0r I was very hopefully at that time.

Now it's like a distant memory and I too I'm not gonna hold my breath. Seems we will have to wait till end of life on a exploit I guess.

Best Regards,
 
@demonfish well theflow did also say "don't update past 6.02 if you want kxploit."

That's why most of us expected something real out of this, since he was supposedly a trusted dev. I guess no one (those dealing with exploits) really is...
 
Apparently theflow's 6.20 kxploit is also not coming , check his twitter

So maybe the 6.20 kxploit isn't coming now as theflow stated the vulnerability he thought could be exploited is not exploitable at the moment. But cheers to his hard work
 
Status
Not open for further replies.
Back
Top